Bug 460112 - List of xids from dtx.recover is not as expected (RHEL 4)
List of xids from dtx.recover is not as expected (RHEL 4)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity high
: 1.0.1
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 458656
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 04:51 EDT by Gordon Sim
Modified: 2008-10-06 14:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 14:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-08-26 04:51:44 EDT
+++ This bug was initially created as a clone of Bug #458656 +++

The resonse for dtx.recover should include a list of all the xids currently in the prepared state; at present it only includes those that were in prepared state at time of last recovery.

--- Additional comment from kim.vdriet@redhat.com on 2008-08-14 14:40:04 EDT ---

The call to BdbMessageStore::collectPreparedXids() was using the prepared list obtained at time of recovery, but this call needs to provide a current list, no matter when called. The ability to ignore transactions when reading was added to class rmgr, and a subclass of JournalImpl (called TplJournalImpl) was created which implements the ignore as standard practice when calling read. This enables reads of pending transactions from this list. Now BdbMessageStore::collectPreparedXids() re-reads the transaction prepared list (TPL) before returning the XID list.

This is a somewhat expensive solution - but is sufficient for the time being as collectPreparedXids() is currently only called on recovery in the broker.

Fixed in r.2305 (trunk), r.2306 (1.0 branch)
Comment 2 Frantisek Reznicek 2008-09-11 03:34:59 EDT
RHTS test MRG_Messaging/qpid_xids_fails_bz458656 runs qpid.tests_0-10.dtx tests (which are passing) that proves that xid.recover response is now OK (->VERIFIED)
Comment 4 errata-xmlrpc 2008-10-06 14:59:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html

Note You need to log in before you can comment on or make changes to this bug.